net.fortuna.ical4j.model

## Class ParameterFactoryRegistry

- java.lang.Object
- - net.fortuna.ical4j.model.AbstractContentFactory
  - - net.fortuna.ical4j.model.ParameterFactoryImpl
    - - net.fortuna.ical4j.model.ParameterFactoryRegistry

All Implemented Interfaces:
  Serializable, ParameterFactory

    public final class ParameterFactoryRegistry
    extends ParameterFactoryImpl

Author:
  fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParameterFactoryRegistry()`

### Method Summary

Methods
`void` `register(String name, ParameterFactory factory)`

### Methods inherited from class net.fortuna.ical4j.model.ParameterFactoryImpl

`createParameter, getInstance`

### Methods inherited from class net.fortuna.ical4j.model.AbstractContentFactory

`allowIllegalNames, getFactory, registerDefaultFactory, registerExtendedFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterFactoryRegistry

    public ParameterFactoryRegistry()

### Method Detail

#### register

    public void register(String name,
                ParameterFactory factory)

Parameters:
  `name` - a non-standard parameter name
  `factory` - a factory for the non-standard parameter